---


#------------------------------------------------------------------------------------------------
- name: check if the theme is already configured
  lineinfile:
    dest:   '/etc/plymouth/plymouthd.conf'
    line:   "Theme={{ plymouth_theme }}"
    state: absent
  check_mode: yes
  changed_when: ( presence.found == 0 )
  register: presence


#------------------------------------------------------------------------------------------------
- name: plymouth set defaut theme if not already configured
  command: "/usr/sbin/plymouth-set-default-theme -R {{ plymouth_theme }}"
  when: ( presence.found == 0 )
  register: set_default_theme

